# DoubleClick Bid Manager API . sdf

## Instance Methods

Retrieves entities in SDF format.

### Method Details

`download(body)`

    Retrieves entities in SDF format.

    Args:
      body: object, The request body. (required)
        The object takes the form of:

    { # Request to fetch stored insertion orders, line items, TrueView ad groups and ads.
        "filterType": "A String", # Filter type used to filter line items to fetch.
        "version": "A String", # SDF Version (column names, types, order) in which the entities will be returned. Default to 3.
        "fileTypes": [ # File types that will be returned.
          "A String",
        ],
        "filterIds": [ # The IDs of the specified filter type. This is used to filter entities to fetch. At least one ID must be specified. Only one ID is allowed for the ADVERTISER_ID filter type. For INSERTION_ORDER_ID or LINE_ITEM_ID filter types all IDs must be from the same Advertiser.
          "A String",
        ],
      }

    Returns:
      An object of the form:

        { # Download response.
        "lineItems": "A String", # Retrieved line items in SDF format.
        "insertionOrders": "A String", # Retrieved insertion orders in SDF format.
        "ads": "A String", # Retrieved ads in SDF format.
        "adGroups": "A String", # Retrieved ad groups in SDF format.
      }